Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.event
Interface BuildEventNotifier

All Superinterfaces:
  Startable

All Known Implementing Classes:
  DefaultBuildEventNotifier

    public interface BuildEventNotifier

extends Startable

This manages `BuildEventListener`s.

Method Summary
`void` | `addBuildEventListener(BuildEventListener listener)` Register an interest in knowing when a build is aded, built, or deleted.
`void` | `notifyListenersOfBuildComplete(Build build, BuildResults buildResults)` Notify the registered `BuildEventListener`s that a build build has completed.
`void` | `notifyListenersOfBuildResultsRemoval(Build build, long buildNumber)` Notify the registered `BuildEventListener`s that a build build has completed.
`void` | `notifyListenersOfBuildStart(Build build, long buildNumber)` Notify the registered `BuildEventListener`s that a build has started to be built.
`void` | `notifyListenersOfDeletedBuild(Build build)` Notify the registered `BuildEventListener`s that an existing build has been deleted.
`void` | `notifyListenersOfNewBuild(Build build)` Notify the registered `BuildEventListener`s that a new build has been added.
`void` | `restart()` Restart this component to reflect and configuration changes.

Methods inherited from interface com.atlassian.bamboo.container.Startable
`start, stop`

Method Detail

### addBuildEventListener

    void addBuildEventListener(BuildEventListener listener)

  Register an interest in knowing when a build is aded, built, or deleted.

  Parameters:
    `listener` - The listener that will be notified when something interesting happens to a build.

### notifyListenersOfNewBuild

    void notifyListenersOfNewBuild(Build build)

  Notify the registered `BuildEventListener`s that a new build has been added.

  Parameters:
    `build` - The new build

### notifyListenersOfDeletedBuild

    void notifyListenersOfDeletedBuild(Build build)
                                       throws Exception

  Notify the registered `BuildEventListener`s that an existing build has been deleted.

  Parameters:
    `build` - The build that's about to get zapped
  Throws:
    `Exception`

### notifyListenersOfBuildStart

    void notifyListenersOfBuildStart(Build build,
                                     long buildNumber)
                                     throws Exception

  Notify the registered `BuildEventListener`s that a build has started to be built.

  Parameters:
    `build` - The build being built
    `buildNumber` - The number of the new build.
  Throws:
    `Exception`

### notifyListenersOfBuildComplete

    void notifyListenersOfBuildComplete(Build build,
                                        BuildResults buildResults)
                                        throws Exception

  Notify the registered `BuildEventListener`s that a build build has completed.

  Parameters:
    `build` - The build being built
    `buildResults` - The results of the build
  Throws:
    `Exception`

### notifyListenersOfBuildResultsRemoval

    void notifyListenersOfBuildResultsRemoval(Build build,
                                              long buildNumber)

  Notify the registered `BuildEventListener`s that a build build has completed.

  Parameters:
    `build` - The build being built
    `buildNumber` - The number of the build to delete

### restart

    void restart()
                 throws Exception

  Restart this component to reflect and configuration changes.

  Throws:
    `Exception` - A generic failure

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.